Subject: RE: [mobile-ip] Low Latency MIPv4 Handoffs: PreReg Complexity

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Tue, 6 Nov 2001 14:24:29 +0100

> > In 3.3., 3.41. and 3.5 it says that the FAs SHOULD cache the
> > advertisements. I'll run through to check for inconsistencies. The
> > solicitation to nFA was meant for the case in which there 
> was no caching.
> > I was making some changes and wanted to clarify in 3.3 that 
> the MN SHOULD
> > unicast solicitation to oFA. Unicasting to nFA would have 
> been the fallback
> > for those cases where caching is impossible. However this 
> fallback doesn't
> > seem to add much so I'd like to remove it altogether. Would this
> > solve your concern?
> 
> It would help. It would also mean that FAs MUST solicit from each
> other and cache aderts, and MNs MUST unicast solicitations to oFA,
> right?

I meant MNs MUST unicast solicitations to oFA and FAs SHOULD do
message 1a/b in advance and cache. The inter-FA soliciting and
advertising SHOULD be done in advance with caching unless there's a
good reason not to. In the latter case it becomes part of the handoff
sequence and could add latency as described in the current text.

> > 
> > > 3 Section 3.4 lists three different ways of obtaining nFA
> > >   advertisements. This seems likely to cause interoperability 
> > > problems.
> > >   For example, what if FA1 expects all agent advertisements to
> > >   be piggybacked on L2 messaging, while FA2 does not? They will
> > >   not be able to exchange advertisements, and therefore will not
> > >   be able to complete PreReg handovers between them.
> > 
> > 3.4.1 and 3.4.2 each apply to different cases. 3.4.1 is for source
> > triggered or mobile initiated. 3.4.2 instead is for target 
> triggered.
> > I'll read it through to make this clear if it isn't. 3.4.3 instead
> > doesn't add much so I propose to take that away. This 
> should solve the
> > issue.
> 
> Taking away 3.4.2 would be good. I also recommend you frame 3.4.1
> and 3.4.2 not as alternate ways of obtaining adverts, but rather
> as one for source triggered and mobile initiated, and the other for
> target triggered.

I guess you meant taking away 3.4.3 would be good?
Yes, 3.4.1 and 3.4.2 are not applicable to the same cases.
The text in 3.4.1 and 3.4.2 does say which types of triggers each relates to,
but I have now moved that as first sentence in each section.

/Karim

---

From: Pat Calhoun <[email-masked]>
Date: Tue, 6 Nov 2001 07:27:29 -0800

> sequence and could add latency as described in the current text.

If neighboring FAs cache their advertisements, how do you deal with stale 
challenges???

PatC